<?php
/**
 * Photo Fusion Pro Contact Customizer options
 *
 * @package Theme Palace
 * @subpackage Photo Fusion Pro
 * @since Photo Fusion Pro 1.0
 */

// Add contact page template section
$wp_customize->add_section( 'photo_fusion_pro_contact_section', array(
	'title'             => esc_html__( 'Contact','photo-fusion-pro' ),
	'description'       => esc_html__( 'Contact section options.', 'photo-fusion-pro' ),
	'panel'             => 'photo_fusion_pro_page_template'
) );

// Add  enable  address block setting and control.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[enable_address_block]', array(
	'default'           => $options['enable_address_block'],
	'sanitize_callback' => 'photo_fusion_pro_sanitize_checkbox'
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[enable_address_block]', array(
	'label'             => esc_html__( 'Enable Address Block', 'photo-fusion-pro' ),
	'section'           => 'photo_fusion_pro_contact_section',
	'type'              => 'checkbox',
) );

// Add  contact address setting and control.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[contact_address]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
) );

$wp_customize->add_control( new photo_fusion_pro_Note_Control( $wp_customize, 'photo_fusion_pro_theme_options[contact_address]', array(
	'active_callback' 	=> 'photo_fusion_pro_is_contact_address_active',
	'label'           	=> esc_html__( 'Address', 'photo-fusion-pro' ),
	'section'         	=> 'photo_fusion_pro_contact_section',
	'type'            	=> 'description',
) ) );

// Add contact address icon setting and control.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[contact_address_icon]', array(
	'default'           => $options['contact_address_icon'],
	'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[contact_address_icon]', array(
	'label'             => esc_html__( 'Icon', 'photo-fusion-pro' ),
	'section'           => 'photo_fusion_pro_contact_section',
	'active_callback' 	=> 'photo_fusion_pro_is_contact_address_active',
) );

// Add contact address title setting and control
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[contact_address_title]', array(
	'default'			=> $options['contact_address_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[contact_address_title]', array(
	'label'           	=> esc_html__( 'Title', 'photo-fusion-pro' ),
	'section'         	=> 'photo_fusion_pro_contact_section',
	'active_callback' 	=> 'photo_fusion_pro_is_contact_address_active',
) );

// Add contact address description setting and control
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[contact_address_description]', array(
	'default'			=> $options['contact_address_description'],
	'sanitize_callback' => 'esc_textarea',
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[contact_address_description]', array(
	'label'           	=> esc_html__( 'Contact Address', 'photo-fusion-pro' ),
	'section'         	=> 'photo_fusion_pro_contact_section',
	'type'			  	=> 'textarea',
	'active_callback' 	=> 'photo_fusion_pro_is_contact_address_active',
) );

// Add title for contact phone block
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[contact_phone]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
) );

$wp_customize->add_control( new photo_fusion_pro_Note_Control( $wp_customize, 'photo_fusion_pro_theme_options[contact_phone]', array(
	'label'           	=> esc_html__( 'Phone', 'photo-fusion-pro' ),
	'section'         	=> 'photo_fusion_pro_contact_section',
	'type'            	=> 'description',
	'active_callback' 	=> 'photo_fusion_pro_is_contact_address_active',
) ) );

// Add contact phone icon setting and control.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[contact_phone_icon]', array(
	'default'           => $options['contact_phone_icon'],
	'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[contact_phone_icon]', array(
	'label'             => esc_html__( 'Icon', 'photo-fusion-pro' ),
	'section'           => 'photo_fusion_pro_contact_section',
	'active_callback' 	=> 'photo_fusion_pro_is_contact_address_active',

) );

// Add contact phone title setting and control
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[contact_phone_title]', array(
	'default'			=> $options['contact_phone_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[contact_phone_title]', array(
	'label'           	=> esc_html__( 'Title', 'photo-fusion-pro' ),
	'section'         	=> 'photo_fusion_pro_contact_section',
	'active_callback' 	=> 'photo_fusion_pro_is_contact_address_active',
) );

// Add contact phone number setting and control
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[contact_phone_number]', array(
	'default'			=> $options['contact_phone_number'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[contact_phone_number]', array(
	'label'           	=> esc_html__( 'Contact Number', 'photo-fusion-pro' ),
	'section'         	=> 'photo_fusion_pro_contact_section',
	'active_callback' 	=> 'photo_fusion_pro_is_contact_address_active',
) );

// Add contact email  setting and control
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[contact_email]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
) );

$wp_customize->add_control( new photo_fusion_pro_Note_Control( $wp_customize, 'photo_fusion_pro_theme_options[contact_email]', array(
	'active_callback' 	=> 'photo_fusion_pro_is_contact_address_active',
	'label'           	=> esc_html__( 'Email', 'photo-fusion-pro' ),
	'section'         	=> 'photo_fusion_pro_contact_section',
	'type'            	=> 'description',
) ) );

// Add contact email icon setting and control.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[contact_email_icon]', array(
	'default'           => $options['contact_email_icon'],
	'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[contact_email_icon]', array(
	'label'             => esc_html__( 'Icon', 'photo-fusion-pro' ),
	'section'           => 'photo_fusion_pro_contact_section',
	'active_callback' 	=> 'photo_fusion_pro_is_contact_address_active',

) );

// Add contact email title setting and control
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[contact_email_title]', array(
	'default'			=> $options['contact_email_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[contact_email_title]', array(
	'label'           	=> esc_html__( 'Title', 'photo-fusion-pro' ),
	'section'         	=> 'photo_fusion_pro_contact_section',
	'active_callback' 	=> 'photo_fusion_pro_is_contact_address_active',
) );

// Add contact email id setting and control
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[contact_email_id]', array(
	'default'			=> $options['contact_email_id'],
	'sanitize_callback' => 'sanitize_email',
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[contact_email_id]', array(
	'label'           	=> esc_html__( 'Contact Email', 'photo-fusion-pro' ),
	'section'         	=> 'photo_fusion_pro_contact_section',
	'type'			  	=> 'email',
	'active_callback' 	=> 'photo_fusion_pro_is_contact_address_active',
) );

// Add social menus setting and control
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[social_menus]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
) );

$wp_customize->add_control( new photo_fusion_pro_Note_Control( $wp_customize, 'photo_fusion_pro_theme_options[social_menus]', array(
	'label'           	=> esc_html__( 'Social Menu', 'photo-fusion-pro' ),
	'section'         	=> 'photo_fusion_pro_contact_section',
	'type'            	=> 'description',
	'active_callback' 	=> 'photo_fusion_pro_is_contact_address_active',

) ) );

// Show social menu icon setting and control
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[social_menu_icon]', array(
	'default'			=> $options['social_menu_icon'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[social_menu_icon]', array(
	'label'           	=> esc_html__( 'Social menu Icon', 'photo-fusion-pro' ),
	'section'         	=> 'photo_fusion_pro_contact_section',
	'active_callback' 	=> 'photo_fusion_pro_is_contact_address_active',
) );

// Show social menu icon title setting and control
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[social_icon_title]', array(
	'default'			=> $options['social_icon_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[social_icon_title]', array(
	'label'           	=> esc_html__( 'Title', 'photo-fusion-pro' ),
	'section'         	=> 'photo_fusion_pro_contact_section',
	'active_callback' 	=> 'photo_fusion_pro_is_contact_address_active',
) );


// Show no of social icon setting and control
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[no_of_social_icon]', array(
	'default'			=> $options['no_of_social_icon'],
	'sanitize_callback' => 'photo_fusion_pro_sanitize_number_range',
	'validate_callback' => 'photo_fusion_pro_validate_no_of_social_icon',
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[no_of_social_icon]', array(
	'label'           	=> esc_html__( 'No of social icons', 'photo-fusion-pro' ),
	'description'		=> esc_html__( 'Save and refresh page after changing value. Max no of social icon is 5.', 'photo-fusion-pro'),
	'section'         	=> 'photo_fusion_pro_contact_section',
	'active_callback' 	=> 'photo_fusion_pro_is_contact_address_active',
	'type'				=> 'number',
		'input_attrs'	=> array(
			'min'		=> 1,
			'max'		=> 5
		)

) );

$no_of_social_icon = $options['no_of_social_icon'];

for ($i=1; $i <= $no_of_social_icon; $i++) {
	//Add social link sett
	$wp_customize->add_setting( 'photo_fusion_pro_theme_options[social_link_'.$i.']', array(
		'sanitize_callback' => 'esc_url',
		'default'			=> $options[ 'social_link_'. $i ],
	) );

	$wp_customize->add_control( 'photo_fusion_pro_theme_options[social_link_'.$i.']', array(
		'label'           	=> esc_html__( 'Social link #', 'photo-fusion-pro' ). $i,
		'section'         	=> 'photo_fusion_pro_contact_section',
		'type'				=> 'url',
		'active_callback' 	=> 'photo_fusion_pro_is_contact_address_active',
	) );
}
// Social Icons End

// Add enable contact form setting and control.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[enable_contact_form]', array(
	'default'           	=> $options['enable_contact_form'],
	'sanitize_callback' 	=> 'photo_fusion_pro_sanitize_checkbox'
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[enable_contact_form]', array(
	'label'             	=> esc_html__( 'Enable Contact Form', 'photo-fusion-pro' ),
	'section'           	=> 'photo_fusion_pro_contact_section',
	'type'             	 	=> 'checkbox',
) );


// Show contact form shortcode setting and control
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[contact_form_shortcode]', array(
	'sanitize_callback' 	=> 'sanitize_text_field',
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[contact_form_shortcode]', array(
	'label'           		=> esc_html__( 'Contact Form Shortcode', 'photo-fusion-pro' ),
	'description'     		=> esc_html__( 'Input the shortcode generated by your contact form here. eg: [contact-form-7 id="277" title="Contact form 1"]', 'photo-fusion-pro' ),
	'section'         		=> 'photo_fusion_pro_contact_section',
	'active_callback' 		=> 'photo_fusion_pro_is_contact_form_active',
	'type'            		=> 'textarea',
) );

// Add map form setting and control.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[map_type_option]', array(
	'default'           	=> $options['map_type_option'],
	'sanitize_callback' 	=> 'photo_fusion_pro_sanitize_select'
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[map_type_option]', array(
	'label'             	=> esc_html__( 'Map Optiona', 'photo-fusion-pro' ),
	'section'           	=> 'photo_fusion_pro_contact_section',
	'type'             	 	=> 'select',
	'choices'			  	=> photo_fusion_pro_map_options(),
	'active_callback'		=> 'photo_fusion_pro_is_contact_form_active'
) );


// Show google map shortcode setting and control
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[contact_map_shortcode]', array(
	'sanitize_callback' 	=> 'sanitize_text_field',
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[contact_map_shortcode]', array(
	'label'           		=> esc_html__( 'Map Shortcode', 'photo-fusion-pro' ),
	'description'     		=> esc_html__( 'Input Google Map shortcode.', 'photo-fusion-pro' ),
	'section'         		=> 'photo_fusion_pro_contact_section',
	'active_callback' 		=> 'photo_fusion_pro_contact_map_shortcode',
	'type'            		=> 'textarea',
) );

// Show google map embed setting and control
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[contact_map_embed]', array(
	'sanitize_callback' 	=> 'esc_textarea',
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[contact_map_embed]', array(
	'label'           		=> esc_html__( 'Map Embed Code', 'photo-fusion-pro' ),
	'description'     		=> esc_html__( 'Input Google Map embed code.', 'photo-fusion-pro' ),
	'section'         		=> 'photo_fusion_pro_contact_section',
	'active_callback' 		=> 'photo_fusion_pro_contact_map_embed',
	'type'            		=> 'textarea',
) );