<?php
/**
 * gallery page template Customizer options
 *
 * @package Theme Palace
 * @subpackage Photo Fusion Pro
 * @since Photo Fusion Pro 1.0
 */

// Add gallery enable section
$wp_customize->add_section( 'photo_fusion_pro_gallery_section', array(
	'title'             => esc_html__( 'Gallery Page','photo-fusion-pro' ),
	'panel'             => 'photo_fusion_pro_page_template'
) );

// Add photo gallery post image layout.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[gallery_image_layout]', array(
	'default'           => $options['gallery_image_layout'],
	'sanitize_callback' => 'photo_fusion_pro_sanitize_select'
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[gallery_image_layout]', array(
	'label'             => esc_html__( 'Select Image Layout', 'photo-fusion-pro' ),
	'section'           => 'photo_fusion_pro_gallery_section',
	'type'              => 'select',
	'choices'           => photo_fusion_pro_photo_gallery_image_layout(),
) );

// Add gallery content type setting and control.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[gallery_content_type]', array(
	'default'           => $options['gallery_content_type'],
	'sanitize_callback' => 'photo_fusion_pro_sanitize_category_list'
) );

$wp_customize->add_control( new photo_fusion_pro_Dropdown_Category_Control( $wp_customize, 'photo_fusion_pro_theme_options[gallery_content_type]', array(
	'label'           => esc_html__( 'Select category', 'photo-fusion-pro' ),
	'section'         => 'photo_fusion_pro_gallery_section',
	'type'            => 'dropdown-categories',
) ) );
