<?php
/**
* Layout options
*
* @package Theme Palace
* @subpackage Photo Fusion Pro
* @since Photo Fusion Pro 1.0
*/

// Add copyright section
$wp_customize->add_section( 'photo_fusion_pro_layout', array(
	'title'               => esc_html__( 'Layout','photo-fusion-pro' ),
	'description'         => esc_html__( 'Layout section options.', 'photo-fusion-pro' ),
	'panel'               => 'photo_fusion_pro_theme_options_panel'
) );

// Site animation layout setting and control.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[primary_menu_sticky_enable]', array(
	'sanitize_callback'   => 'photo_fusion_pro_sanitize_checkbox',
	'default'             => $options['primary_menu_sticky_enable']
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[primary_menu_sticky_enable]', array(
	'label'               => esc_html__( 'Make Header Section Sticky', 'photo-fusion-pro' ),
	'section'             => 'photo_fusion_pro_layout',
	'type'                => 'checkbox',
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'photo_fusion_pro_sanitize_select',
	'default'             => $options['sidebar_position']
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[sidebar_position]', array(
	'label'               => esc_html__( 'Sidebar Position', 'photo-fusion-pro' ),
	'section'             => 'photo_fusion_pro_layout',
	'type'                => 'select',
	'choices'				 => photo_fusion_pro_sidebar_position(),
) );

// Site layout setting and control.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[site_layout]', array(
	'sanitize_callback'   => 'photo_fusion_pro_sanitize_select',
	'default'             => $options['site_layout']
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[site_layout]', array(
	'label'               => esc_html__( 'Site Layout', 'photo-fusion-pro' ),
	'section'             => 'photo_fusion_pro_layout',
	'type'                => 'select',
	'choices'				 => photo_fusion_pro_site_layout(),
) );

// sticky menu custom note
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[site_animation_layout_note]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
) );

$wp_customize->add_control( new photo_fusion_pro_Note_Control( $wp_customize, 'photo_fusion_pro_theme_options[site_animation_layout_note]', array(
	'label'           	=> esc_html__( 'Option To Enable Animation on site.', 'photo-fusion-pro' ),
	'section'         	=> 'photo_fusion_pro_layout',
	'type'            	=> 'description',
) ) );

// Site animation layout setting and control.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[site_animation_layout]', array(
	'sanitize_callback'   => 'photo_fusion_pro_sanitize_checkbox',
	'default'             => $options['site_animation_layout']
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[site_animation_layout]', array(
	'label'               => esc_html__( 'Enable Site Animation Layout', 'photo-fusion-pro' ),
	'section'             => 'photo_fusion_pro_layout',
	'type'                => 'checkbox',
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[gallery_with_gap]', array(
	'sanitize_callback'   => 'photo_fusion_pro_sanitize_select',
	'default'             => $options['gallery_with_gap']
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[gallery_with_gap]', array(
	'label'               => esc_html__( 'Gallery Sections With Gap', 'photo-fusion-pro' ),
	'section'             => 'photo_fusion_pro_layout',
	'type'                => 'select',
	'choices'			  => photo_fusion_pro_gallery_with_gap(),
) );