<?php
/**
* Photo Fusion Pro customizer validation functions
*
* @package Theme Palace
* @subpackage Photo Fusion Pro
* @since Photo Fusion Pro 1.0
*/

function photo_fusion_pro_validate_no_of_blog( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'photo-fusion-pro' ) );
   } elseif ( $value < 1 ) {
       $validity->add( 'min_no_of_blog', esc_html__( 'Minimum no of blog is 1', 'photo-fusion-pro' ) );
   } elseif ( $value > 6 ) {
       $validity->add( 'max_no_of_blog', esc_html__( 'Maximum no of blog is 6', 'photo-fusion-pro' ) );
   }
   return $validity;
}


function photo_fusion_pro_validate_no_of_social_icon( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'photo-fusion-pro' ) );
   } elseif ( $value < 1 ) {
       $validity->add( 'min_no_of_icons', esc_html__( 'Minimum no of icons is 1', 'photo-fusion-pro' ) );
   } elseif ( $value > 5 ) {
       $validity->add( 'max_no_of_icons', esc_html__( 'Maximum no of icons is 5', 'photo-fusion-pro' ) );
   }
   return $validity;
}


function photo_fusion_pro_validate_no_of_counter_count( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'photo-fusion-pro' ) );
   } elseif ( $value < 1 ) {
       $validity->add( 'min_no_of_counter', esc_html__( 'Minimum no of counter is 1', 'photo-fusion-pro' ) );
   } elseif ( $value > 4 ) {
       $validity->add( 'max_no_of_counter', esc_html__( 'Maximum no of counter is 4', 'photo-fusion-pro' ) );
   }
   return $validity;
}


function photo_fusion_pro_validate_no_of_photo_gallery( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'photo-fusion-pro' ) );
   } elseif ( $value < 4 ) {
       $validity->add( 'min_no_of_gallery', esc_html__( 'Minimum no of gallery is 4', 'photo-fusion-pro' ) );
   } elseif ( $value > 50 ) {
       $validity->add( 'max_no_of_gallery', esc_html__( 'Maximum no of gallery is 50', 'photo-fusion-pro' ) );
   }
   return $validity;
}


function photo_fusion_pro_validate_no_of_portfolio( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'photo-fusion-pro' ) );
   } elseif ( $value < 1 ) {
       $validity->add( 'min_no_of_portfolio', esc_html__( 'Minimum no of portfolio is 1', 'photo-fusion-pro' ) );
   } elseif ( $value > 16 ) {
       $validity->add( 'max_no_of_portfolio', esc_html__( 'Maximum no of portfolio is 16', 'photo-fusion-pro' ) );
   }
   return $validity;
}


function photo_fusion_pro_validate_no_of_slider( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'photo-fusion-pro' ) );
   } elseif ( $value < 1 ) {
       $validity->add( 'min_no_of_slider', esc_html__( 'Minimum no of slider is 1', 'photo-fusion-pro' ) );
   } elseif ( $value > 5 ) {
       $validity->add( 'max_no_of_slider', esc_html__( 'Maximum no of slider is 5', 'photo-fusion-pro' ) );
   }
   return $validity;
}


function photo_fusion_pro_validate_no_of_slider_excerpt( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'photo-fusion-pro' ) );
   } elseif ( $value < 5 ) {
       $validity->add( 'min_no_of_slider_excerpt', esc_html__( 'Minimum no of slider excerpt is 5', 'photo-fusion-pro' ) );
   } elseif ( $value > 50 ) {
       $validity->add( 'max_no_of_slider_excerpt', esc_html__( 'Maximum no of slider excerpt is 50', 'photo-fusion-pro' ) );
   }
   return $validity;
}


function photo_fusion_pro_validate_no_of_excerpt( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'photo-fusion-pro' ) );
   } elseif ( $value < 5 ) {
       $validity->add( 'min_no_of_excerpt', esc_html__( 'Minimum no of excerpt is 5', 'photo-fusion-pro' ) );
   } elseif ( $value > 50 ) {
       $validity->add( 'max_no_of_excerpt', esc_html__( 'Maximum no of excerpt is 15', 'photo-fusion-pro' ) );
   }
   return $validity;
}